Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 467001 - Review Request: litmus - WebDAV Test Suite
Summary: Review Request: litmus - WebDAV Test Suite
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paulo Roma Cavalcanti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 467856 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-10-15 01:51 UTC by John Anderson
Modified: 2010-12-23 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 11:43:44 UTC


Attachments (Terms of Use)

Description John Anderson 2008-10-15 01:51:16 UTC
Spec URL: http://transfer.eragen.com/rpm/litmus.spec
SRPM URL: http://transfer.eragen.com/rpm/litmus-0.12-1.fc9.src.rpm

Description: litmus is a WebDAV server test suite, which aims to test whether a server is compliant with the WebDAV protocol as specified in RFC2518

Comment 1 Gwyn Ciesla 2008-10-21 14:37:06 UTC
*** Bug 467856 has been marked as a duplicate of this bug. ***

Comment 2 Paulo Roma Cavalcanti 2008-10-22 20:25:16 UTC
Should enable ssl support, because many webdav servers
use the https protocol.

%configure --with-ssl

Also, should add BR openssl-devel.

Please, see bug 467856. It has a simpler spec.

Comment 3 John Anderson 2008-10-22 20:44:33 UTC
Updated with SSL:

http://transfer.eragen.com/rpm/litmus.spec
http://transfer.eragen.com/rpm/litmus-0.12-1.fc9.src.rpm

As far as the simpler spec in bug 467856, it looks like even though he included neon-devel, it was still building against neon included in the source.

My patch and other changes are specifically to get it to build against the distro supplied neon.

Comment 4 Paulo Roma Cavalcanti 2008-10-23 08:31:53 UTC
(In reply to comment #3)
> Updated with SSL:
> 
> http://transfer.eragen.com/rpm/litmus.spec
> http://transfer.eragen.com/rpm/litmus-0.12-1.fc9.src.rpm
> 
> As far as the simpler spec in bug 467856, it looks like even though he included
> neon-devel, it was still building against neon included in the source.
> 
> My patch and other changes are specifically to get it to build against the
> distro supplied neon.

[cascavel:~/redhat/SOURCES/litmus-0.12] configure --help | grep neon
  --with-included-neon    force use of included neon library
  --with-neon[=DIR]       specify location of neon library

It seems to me that the default is using an external neon ...

configure --with-ssl=openssl

....

configure: Configured to build litmus 0.12:

  Install prefix:  /usr/local
  Compiler:        gcc
  neon library:    library in /usr (0.27.2)
  XML parser:      using whatever neon uses
  SSL library:     SSL is supported by neon


Everything was detected correctly, on F8, without any patch.
But ssl is not necessary, since neon provides it.

make

......

gcc  -o basic src/basic.o -L. -ltest -lneon  
gcc -DHAVE_CONFIG_H  -I. -I./lib -I./src -I./test-common -g -O2 -I/usr/include/neon -c src/copymove.c -o src/copymove.o
gcc  -o copymove src/copymove.o -L. -ltest -lneon  
gcc -DHAVE_CONFIG_H  -I. -I./lib -I./src -I./test-common -g -O2 -I/usr/include/neon -c src/props.c -o src/props.o
gcc  -o props src/props.o -L. -ltest -lneon  
gcc -DHAVE_CONFIG_H  -I. -I./lib -I./src -I./test-common -g -O2 -I/usr/include/neon -c src/locks.c -o src/locks.o
gcc  -o locks src/locks.o -L. -ltest -lneon  
gcc -DHAVE_CONFIG_H  -I. -I./lib -I./src -I./test-common -g -O2 -I/usr/include/neon -c src/http.c -o src/http.o
gcc  -o http src/http.o -L. -ltest -lneon  

  Now run:

     make URL=http://dav.server/path/ check
 or  make URL=http://dav.server/path/ CREDS="uname passwd" check

Comment 5 John Anderson 2008-10-23 13:20:34 UTC
My mistake, you're right. Removed patch.

http://transfer.eragen.com/rpm/litmus.spec
http://transfer.eragen.com/rpm/litmus-0.12-3.fc9.src.rpm

Comment 6 Paulo Roma Cavalcanti 2008-11-01 09:55:55 UTC
Hi,

your comments in changelog for versions
0.12-1 and 1.12-2 are the same.

Also, I think that 

BuildRequires:  autoconf automake

is not necessary. Authough there is an autogen.sh in the source,
it is not used.

I tried building litmus with these options

%configure --with-ssl \
           --with-expat \
           --with-included-neon \
           --enable-threadsafe-ssl=posix

and

BuildRequires: expat-devel
BuildRequires: neon-devel
BuildRequires: openssl-devel

and got

  Install prefix:  /usr
  Compiler:        gcc
  neon library:    included libneon (0.28.3)
  XML parser:      expat
  SSL library:     SSL support enabled, using OpenSSL (0.9.7 or later)

Therefore, the bundled neon version is 0.28.3 (the same of F9),
but higher than F8 (0.27.2). It also uses the external expat in this case.
As a consequence, building for F8 is better this way, if you intend to do that.

But this is just a suggestion, because using the bundled neon, seems also to 
force the use of the external expat and openssl. Otherwise, it uses whatever
neon uses.

Comment 7 John Anderson 2008-12-09 19:26:04 UTC
Adjusted the configure and removed autoconf, automake

http://transfer.eragen.com/rpm/litmus.spec
http://transfer.eragen.com/rpm/litmus-0.12-4.fc10.src.rpm

Comment 8 Paulo Roma Cavalcanti 2008-12-19 01:30:53 UTC
Hi,

--with-expat is pointless without 
--with-included-neon, because it will
use whatever neon uses:

configure: Configured to build litmus 0.12:
  Install prefix:  /usr
  Compiler:        gcc
  neon library:    library in /usr (0.28.3)
  XML parser:      using whatever neon uses
  SSL library:     SSL is supported by neon

Therefore, you have to choose, either use external neon
or external ssl and expat.

Also, you can use a %bcond_without exernal_neon,
and choose the configuration options based on this.

Finally, the link with the .src.rpm for F10 is dead.

Comment 9 Paulo Roma Cavalcanti 2010-12-23 11:43:44 UTC
I am closing this review request because it is stalled for two years now.


Note You need to log in before you can comment on or make changes to this bug.